# PhasicFlow: zAxis Class Reference

zAxis Class Reference
Collaboration diagram for zAxis:
[legend]

## Public Member Functions

| zAxis (const realx3 &lp1, const realx3 &lp2)
real | length () const
realx3 | transferToZ (const realx3 &p)
realx3 | transferBackZ (const realx3 &p)

## Protected Attributes

realx3 | p1_
realx3 | p2_
realx3 | n_
real | Trans_z_xz_P1_ [4][4]
real | ITrans_P1_xz_z_ [4][4]

## Private Member Functions

void | makeTransMatrix ()

## Detailed Description

Definition at line 42 of file zAxis.hpp.

## Constructor & Destructor Documentation

## zAxis()

zAxis | ( | const realx3 & | lp1,
|  | const realx3 & | lp2
| ) |  |

Definition at line 25 of file zAxis.cpp.

References fatalExit, length(), zAxis::makeTransMatrix(), zAxis::n_, and pFlow::smallValue.

Here is the call graph for this function:

## Member Function Documentation

## length()

real length | ( |  | ) | const

inline

Definition at line 48 of file zAxis.hpp.

References length(), zAxis::p1_, and zAxis::p2_.

Referenced by cylinderWall::createCylinder().

Here is the call graph for this function:
Here is the caller graph for this function:

## transferToZ()

pFlow::realx3 transferToZ | ( | const realx3 & | p | ) |

Definition at line 41 of file zAxis.cpp.

References pFlow::MatMul(), triple< T >::x(), triple< T >::y(), and triple< T >::z().

Here is the call graph for this function:

## transferBackZ()

pFlow::realx3 transferBackZ | ( | const realx3 & | p | ) |

Definition at line 56 of file zAxis.cpp.

References pFlow::MatMul(), triple< T >::x(), triple< T >::y(), and triple< T >::z().

Referenced by cylinder::calculateParams(), and cylinderWall::createCylinder().

Here is the call graph for this function:
Here is the caller graph for this function:

## makeTransMatrix()

void makeTransMatrix | ( |  | ) |

private

Definition at line 71 of file zAxis.cpp.

References pFlow::assignMat(), pFlow::equal(), pFlow::MatMul(), pFlow::max(), pFlow::smallValue, and pFlow::sqrt().

Referenced by zAxis::zAxis().

Here is the call graph for this function:
Here is the caller graph for this function:

## Member Data Documentation

## p1_

realx3 p1_

protected

Definition at line 61 of file zAxis.hpp.

Referenced by zAxis::length().

## p2_

realx3 p2_

protected

Definition at line 62 of file zAxis.hpp.

Referenced by zAxis::length().

## n_

realx3 n_

protected

Definition at line 63 of file zAxis.hpp.

Referenced by zAxis::zAxis().

## Trans_z_xz_P1_

real Trans_z_xz_P1_[4][4]

protected

Definition at line 65 of file zAxis.hpp.

## ITrans_P1_xz_z_

real ITrans_P1_xz_z_[4][4]

protected

Definition at line 67 of file zAxis.hpp.

The documentation for this class was generated from the following files:

- src/phasicFlow/structuredData/zAxis/zAxis.hpp
- src/phasicFlow/structuredData/zAxis/zAxis.cpp